FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::Expr< SomeType > Class Reference
Inheritance diagram for Fortran::evaluate::Expr< SomeType >:

## Public Types
using | Result = SomeType
Public Types inherited from Fortran::evaluate::ExpressionBase< SomeType >
using | Result = SomeType

## Public Member Functions
template<TypeCategory CAT, int KIND>
| Expr (const Expr< Type< CAT, KIND >> &x)
template<TypeCategory CAT, int KIND>
| Expr (Expr< Type< CAT, KIND >> &&x)
template<TypeCategory CAT, int KIND>
Expr & | operator= (const Expr< Type< CAT, KIND >> &x)
template<TypeCategory CAT, int KIND>
Expr & | operator= (Expr< Type< CAT, KIND >> &&x)
Public Member Functions inherited from Fortran::evaluate::ExpressionBase< SomeType >
Derived & | operator= (const A &x)
common::IfNoLvalue< Derived &, A > | operator= (A &&x)
std::optional< DynamicType > | GetType () const
int | Rank () const
std::string | AsFortran () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Public Attributes
common::CombineVariants< TypelessExpression, CategoryExpression > | u

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::ExpressionBase< SomeType >
static Derived | Rewrite (FoldingContext &, Derived &&)

The documentation for this class was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/expression.cpp